For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetPhoneNumberReports
        • POSTAttachPhoneNumber
        • POSTBindPhoneNumberToApplication
        • POSTDeactivatePhoneNumber
        • POSTSetPhoneNumberInfo
        • POSTGetPhoneNumbers
        • POSTIsAccountPhoneNumber
        • POSTGetPhoneNumbersAsync
        • POSTGetNewPhoneNumbers
        • POSTGetPhoneNumberCategories
        • POSTGetPhoneNumberCountryStates
        • POSTGetPhoneNumberRegions
        • POSTGetActualPhoneNumberRegion
        • POSTGetAccountPhoneNumberCountries
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferencePhone Numbers

GetPhoneNumberRegions

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetPhoneNumberRegions
POST
/platform_api/GetPhoneNumberRegions
$curl -X POST "https://api.voximplant.com/platform_api/GetPhoneNumberRegions?country_code=country_code&phone_category_name=phone_category_name" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "phone_region_id": 1,
5 "phone_region_name": "Moscow",
6 "phone_region_code": "499",
7 "phone_count": 1123,
8 "verification_status": "REQUIRED",
9 "required_verification": "RU",
10 "phone_period": "0-1-0 0:0:0",
11 "multiple_numbers_price": [
12 {
13 "count": 10,
14 "price": 0.4,
15 "installation_price": 10
16 }
17 ],
18 "phone_price": 0.45,
19 "phone_installation_price": 10.2
20 },
21 {
22 "phone_region_id": 3,
23 "phone_region_name": "Novosibirsk",
24 "phone_region_code": "383",
25 "phone_count": 95,
26 "phone_period": "0-1-0 0:0:0",
27 "multiple_numbers_price": [],
28 "phone_price": 0.5,
29 "phone_installation_price": 2
30 }
31 ]
32}

Get the country regions of the phone numbers. The response also contains the info about multiple numbers subscription for the child accounts.

Allowed roles: Owner, Admin, Accountant, Payer.

Example request: Get the Russian regions of the phone numbers.

Was this page helpful?
Previous

GetPhoneNumberCountryStates

Next

GetActualPhoneNumberRegion

Built with

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

country_codestringRequired
The country code
phone_category_namestringRequired

The phone category name. See the [GetPhoneNumberCategories] method

country_statestringOptional

The country state code (example: AL, CA, … )

omit_emptybooleanOptionalDefaults to true

Whether not to show all the regions (with and without phone numbers in stock)

phone_region_idintegerOptional
The phone region ID to filter
phone_region_namestringOptional
The phone region name to filter
phone_region_codestringOptional
The region phone prefix to filter
localestringOptional

The 2-letter locale code. Supported values are EN, RU

Response

Successful response
resultlist of objects

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.